' GenEphems.vbs
' Erzeugen von Ephemeriden-Tabellen zur grafischen Auswertung mit PLANETEN.EXE

' Sendkeys-Besonderheiten: % = ALT, + = Shift , ^ = Ctrl

' Variablen
Ende = "366"
Warte1 = 1700

set wshshell = CreateObject("WScript.Shell")
Jahr = InputBox("Fr welches Kalenderjahr (4stellig): ")
if Jahr = "" then WScript.Quit

if not isnumeric(Jahr) then
  MsgBox "Sie haben keine Zahl eingegeben!"
  WScript.Quit
end if

if (Jahr<1990) or (Jahr>2100) then
  MsgBox "Sie haben eine ungltige Jahreszahl eingegeben!"
  WScript.Quit
end if

wshshell.Run "EPHTL4.EXE"
wscript.sleep 8000
WshShell.AppActivate "Ephemeris Tool 4 ["

' Optionen einstellen
wshshell.sendkeys "{ESC}"
wscript.sleep 500
wshshell.sendkeys "%zr"
' Startdatum und Zeit
wscript.sleep 500
wshshell.sendkeys "{TAB}+{TAB}01.01."
wshshell.sendkeys Jahr
wshshell.sendkeys "{TAB 4}0"
' Intervall
wshshell.sendkeys "{TAB 6}1{TAB}0"
' Enddatum
wshshell.sendkeys "{TAB 5}" & Ende & "{TAB}0{TAB}"
' Dialog schlieen
wshshell.sendkeys "%o"
wscript.sleep 500

' Datenformate einstellen
wshshell.sendkeys "%nd"
wscript.sleep 500
wshshell.sendkeys "%l"
wshshell.sendkeys "planeten.epf{ENTER}"
wscript.sleep 500
wshshell.sendkeys "%s"

' Ort
wshshell.sendkeys "%tko"
wscript.sleep 2000
wshshell.sendkeys "%dx"
wshshell.sendkeys "_OR" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000


' Sonne
wshshell.sendkeys "%ps"
wscript.sleep 237 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_SO" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Merkur
wshshell.sendkeys "%pr"
wscript.sleep 22 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_ME" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Venus
wshshell.sendkeys "%pv"
wscript.sleep 14 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_VE" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Mars
wshshell.sendkeys "%pa"
wscript.sleep 23 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_MA" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Jupiter
wshshell.sendkeys "%pj"
wscript.sleep 17 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_JU" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Saturn
wshshell.sendkeys "%pt"
wscript.sleep 22 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_SA" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Uranus
wshshell.sendkeys "%pu"
wscript.sleep 18 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_UR" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Neptun
wshshell.sendkeys "%pn"
wscript.sleep 12 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_NE" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Pluto
wshshell.sendkeys "%pl"
wscript.sleep 8 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_PL" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Jupitermonde
wshshell.sendkeys "%pie"
wscript.sleep 291 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_JM" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Jupiter-GRF
wshshell.sendkeys "%pzuo"
wscript.sleep 230 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_JG" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"
wscript.sleep 2000

' Mond
wshshell.sendkeys "%pme"
wscript.sleep 1406 * Warte1
wshshell.sendkeys "%dx"
wshshell.sendkeys "_MO" & Jahr & ".TXT"
wshshell.sendkeys "%s"
wscript.sleep 1000
wshshell.sendkeys "%j"
wscript.sleep 1000
wshshell.sendkeys "{ENTER}"

' Beenden
wscript.sleep 1000
wshshell.sendkeys "%{F4}"
wscript.sleep 500
wshshell.sendkeys "n"

' Delphi-Programm zum Zusammenfassen
wscript.sleep 2000
wshshell.Run "GETEPH4.EXE " & Jahr


